Summary: Gives a fake root environment
Name: fakeroot
Version: 1.5.10
Release: 13%{?dist}
License: GPL
Group: Development/Tools
URL: http://fakeroot.alioth.debian.org/
Source0: http://ftp.debian.org/debian/pool/main/f/fakeroot/%{name}_%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gcc-c++
BuildRequires: /usr/bin/getopt
#Currently not needed
#BuildRequires: po4a
BuildRequires: sharutils
Requires: /usr/bin/getopt

%description
fakeroot runs a command in an environment wherein it appears to have
root privileges for file manipulation. fakeroot works by replacing the
file manipulation library functions (chmod(2), stat(2) etc.) by ones
that simulate the effect the real library functions would have had,
had the user really been root.

%prep
%setup -q
for file in ./doc/*/*.1; do
  iconv -f latin1 -t utf8 < $file > $file.new
  mv -f $file.new $file
done

%build
%configure \
  --disable-dependency-tracking \
  --disable-static \
  --libdir=%{_libdir}/libfakeroot
make

%install
rm -rf %{buildroot}
make install libdir=%{_libdir}/libfakeroot DESTDIR=%{buildroot}

%check || :
make check

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS BUGS DEBUG doc/README.saving debian/changelog
%{_bindir}/faked
%{_bindir}/fakeroot
%{_mandir}/man1/faked.1.gz
%{_mandir}/man1/fakeroot.1.gz
%lang(es) %{_mandir}/es/man1/faked.1.gz
%lang(es) %{_mandir}/es/man1/fakeroot.1.gz
%lang(fr) %{_mandir}/fr/man1/faked.1.gz
%lang(fr) %{_mandir}/fr/man1/fakeroot.1.gz
%lang(sv) %{_mandir}/sv/man1/faked.1.gz
%lang(sv) %{_mandir}/sv/man1/fakeroot.1.gz
%dir %{_libdir}/libfakeroot
%{_libdir}/libfakeroot/libfakeroot-0.so
%{_libdir}/libfakeroot/libfakeroot.so
%exclude %{_libdir}/libfakeroot/libfakeroot.la

%changelog
* Sun Jan  7 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.5.10-13
- po4a currently not need as a BR.
- remove empty README, add debian/changelog.

* Sun Dec 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.5.10-12
- Add %%{_libdir}/libfakeroot to %%files.
- Add %%check.

* Fri Dec 29 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.5.10-11
- Extend the %%description a bit.

* Thu Dec 28 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.5.10-10
- Don't build static lib.
- Exclude libtool lib.
- %%makeinstall to make install DESTDIR=%%buildroot.

* Mon Aug  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.5.10-9
- Update to 1.5.10.

* Fri Feb 17 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.7.

* Thu Nov 24 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.5.

* Sat Sep 17 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.5.1.

* Fri Sep  2 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.4.3.

* Sun Jul  3 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.4.1.

* Sun Feb  6 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.4.

* Sun Jan 25 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.8.3.

* Wed Oct  8 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
